Bug 134842 - [CSS Grid Layout] Remove stack from grid-auto-flow syntax
Summary: [CSS Grid Layout] Remove stack from grid-auto-flow syntax
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords:
Depends on: 134544
Blocks: 103316
  Show dependency treegraph
 
Reported: 2014-07-11 13:44 PDT by Manuel Rego Casasnovas
Modified: 2015-01-02 02:01 PST (History)
4 users (show)

See Also:


Attachments
Patch (63.18 KB, patch)
2014-12-26 07:13 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch for landing (63.54 KB, patch)
2015-01-02 01:17 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch for landing (adding reviewer) (63.55 KB, patch)
2015-01-02 01:19 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2014-07-11 13:44:00 PDT
Once the new grid-auto-flow syntax is ready (bug #134057) we should implement proper support for stack mode in auto-placement algorithm.
Comment 1 Manuel Rego Casasnovas 2014-12-26 07:02:04 PST
After some discussion in the CSS WG, in the last update of the spec "stack" mode has been dropped: http://dev.w3.org/csswg/css-grid/#propdef-grid-auto-flow

We need to update the syntax again to remove "stack" option and also remove the pending FIXMEs from the source code.
Comment 2 Manuel Rego Casasnovas 2014-12-26 07:13:14 PST
Created attachment 243760 [details]
Patch
Comment 3 Sergio Villar Senin 2015-01-02 01:11:20 PST
Comment on attachment 243760 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=243760&action=review

Nice! I never understood the purpose of stack actually.

> Source/WebCore/rendering/style/GridResolvedPosition.cpp:141
>      }

Nit: we can move the comment above the if and remove the curly braces.
Comment 4 Manuel Rego Casasnovas 2015-01-02 01:17:23 PST
Created attachment 243883 [details]
Patch for landing
Comment 5 Manuel Rego Casasnovas 2015-01-02 01:19:37 PST
Created attachment 243884 [details]
Patch for landing (adding reviewer)
Comment 6 WebKit Commit Bot 2015-01-02 02:01:14 PST
Comment on attachment 243884 [details]
Patch for landing (adding reviewer)

Clearing flags on attachment: 243884

Committed r177858: <http://trac.webkit.org/changeset/177858>
Comment 7 WebKit Commit Bot 2015-01-02 02:01:18 PST
All reviewed patches have been landed.  Closing bug.